# QClipboard Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QClipboard prototype object
- Clipboard
- Selection
- FindBuffer
- Mode( value )

### Prototype Object Properties

The QClipboard prototype object inherits properties from the QObject prototype object and also has the following properties.

- void clear(Mode mode)
- QImage image(Mode mode)
- QMimeData mimeData(Mode mode)
- bool ownsClipboard()
- bool ownsFindBuffer()
- bool ownsSelection()
- QPixmap pixmap(Mode mode)
- void setImage(QImage arg__1, Mode mode)
- void setMimeData(QMimeData data, Mode mode)
- void setPixmap(QPixmap arg__1, Mode mode)
- void setText(String arg__1, Mode mode)
- bool supportsFindBuffer()
- bool supportsSelection()
- String text(Mode mode)

### Instance Properties

QClipboard objects have no special properties beyond those inherited from the QClipboard prototype object.